Bug 610826 - updates-testing should be - optional? - in /etc/mock/*.cfg
updates-testing should be - optional? - in /etc/mock/*.cfg
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 10:20 EDT by Jan Kratochvil
Modified: 2012-11-20 14:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 21:31:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2010-07-02 10:20:04 EDT
Description of problem:
There are updates-testing but one cannot test them in mock.
This decreases the goal of updates-testing.
Both for builds verification and QA tests inside mock chroots.

Version-Release number of selected component (if applicable):
mock-1.1.1-1.fc13.noarch

How reproducible:
Always.

Steps to Reproduce:
grep updates-testing /etc/mock/fedora-13-x86_64.cfg

Actual results:
nothing

Expected results:
[updates-testing]
name=updates-testing
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f13&arch=x86_64

Additional info:
It could be optional, maybe to have /etc/mock/fedora-testing-13-x86_64.cfg ?
Still if there is only a single choice I find updates-testing as more appropriate for mock which is used by more technical people suitable for updates-testing.
Comment 1 Fedora Admin XMLRPC Client 2011-03-11 13:10:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Bug Zapper 2011-06-01 10:56:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jan Kratochvil 2011-06-08 22:09:04 EDT
Still a valid problem in:
mock-1.1.10-1.fc14.noarch
Comment 4 Fedora End Of Life 2012-08-07 15:44:31 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jan Kratochvil 2012-08-08 11:12:47 EDT
Still a problem in: mock-1.1.26-1.fc18.noarch
Comment 6 Clark Williams 2012-08-09 15:24:02 EDT
(In reply to comment #5)
> Still a problem in: mock-1.1.26-1.fc18.noarch

I can see us adding an updates-testing stanza to our configs, but can't really see a good way to enable/disable stanza's, other than copying the existing config, editing the yum template and then using the alternate config. 

Do you have any ideas on how we could do this? Just trying to do a string replace on the yum template doing a s/enable=0/enable=1/ seems fraught with peril.
Comment 7 Jan Kratochvil 2012-08-09 15:59:29 EDT
For example /etc/mock/epel-6-x86_64.cfg already has:

[testing]
name=epel-testing
enabled=0
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=testing-epel6&arch=x86_64
failovermethod=priority

but it is not present in fedora-*.cfg.  Just putting such entry there would be good enough IMO.

(Unrelated but what is /etc/mock/fedora-5-*-epel.cfg there?)

Another possibility is to have new /etc/mock/fedora-17-testing-x86_64.cfg etc.
But in such case I would already prefer more some macro-ized/assembled config files from a single template.
Comment 8 Sergio Monteiro Basto 2012-10-29 21:10:28 EDT
I vote in add repo updates-testing with enable=0 on fedora-1x
Comment 9 Clark Williams 2012-10-30 13:35:00 EDT
I'm ok with this.

Should they be named [updates-testing] or just [testing]?
Comment 10 Jan Kratochvil 2012-10-30 15:28:01 EDT
/etc/yum.repos.d/fedora-updates-testing.repo:
[updates-testing]

So it has to be called "updates-testing".

Besides that I see now mock already incorrectly calls "updates-released" what regular yum calls as "updates".
Comment 11 Jan Kratochvil 2012-10-30 15:29:01 EDT
And mock *-debug vs. yum *-debuginfo inconsistency.
Comment 12 Sergio Monteiro Basto 2012-10-30 20:30:04 EDT
(In reply to comment #10)
> /etc/yum.repos.d/fedora-updates-testing.repo:
> [updates-testing]
> 
> So it has to be called "updates-testing".
> 
> Besides that I see now mock already incorrectly calls "updates-released"
> what regular yum calls as "updates".

totally agree 

and 
[updates-testing-debug]
Comment 13 Clark Williams 2012-10-31 17:50:05 EDT
Ok, I'm going to try and clean this up for the 1.1.28 release. Here's what I *think* each yum repo file from a .cfg should have (I just picked the f16 arm file as a sample):

[fedora]
name=fedora
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-16&arch=arm
failovermethod=priority

[updates]
name=updates
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f16&arch=arm
failovermethod=priority

[updates-testing]
name=updates-testing
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f16&arch=arm
failovermethod=priority

[local]
name=local
baseurl=http://arm.fedoraproject.org/repos/f16-build/latest/arm/
cost=2000
enabled=0

[fedora-debuginfo]
name=fedora-debug
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-16&arch=arm
failovermethod=priority
enabled=0

[updates-debug-debuginfo]
name=updates-debug
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-debug-f16&arch=arm
failovermethod=priority
enabled=0

[updates-testing-debuginfo]
name=updates-testing-debuginfo
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-debug-f16&arch=arm
enabled=0


Acceptable?
Comment 14 Clark Williams 2012-10-31 17:52:08 EDT
Wups, I think that the updates-testing stanza needs to be off by default.

[updates-testing]
name=updates-testing
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f16&arch=arm
failovermethod=priority
enable=0
Comment 15 Clark Williams 2012-10-31 18:02:27 EDT
And a cut-n-paste error on the updates-debuginfo stanza:

[updates-debuginfo]
name=updates-debug
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-debug-f16&arch=arm
failovermethod=priority
enabled=0
Comment 16 Clark Williams 2012-10-31 18:39:33 EDT
And another question: should we go back to the fedorapoject mirrors for the EPEL repos or stay with centos?
Comment 17 Clark Williams 2012-10-31 21:38:06 EDT
talked to Kevin Fenzin on the #epel channel; doesn't seem like we need to do anything on the epel-{5,6} configs right now. 

As far as the fedora configs go, here's what I have for the fedora-18-x86_64.cfg file (as a representative sample):

[fedora]
name=fedora
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-18&arch=x86_64
failovermethod=priority

[updates]
name=updates
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f18&arch=x86_64
failovermethod=priority

[updates-testing]
name=updates-testing
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f18&arch=x86_64
failovermethod=priority
enabled=0

[local]
name=local
baseurl=http://kojipkgs.fedoraproject.org/repos/f18-build/latest/x86_64/
cost=2000
enabled=0

[fedora-debuginfo]
name=fedora-debug
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-18&arch=x86_64
failovermethod=priority
enabled=0

[updates-debuginfo]
name=updates-debug
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-debug-f18&arch=x86_64
failovermethod=priority
enabled=0

[updates-testing-debuginfo]
name=updates-debug
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-debug-f18&arch=x86_64
failovermethod=priority
enabled=0
Comment 18 Jan Kratochvil 2012-11-01 01:59:01 EDT
The "name" field does not match the [sectionname] field.
[sectionname] is right, "name" is not.

After fixing that it looks OK to me, thanks.
Comment 19 Clark Williams 2012-11-01 11:05:05 EDT
strictly speaking "name" is just a display string and is not used in calculating a URL or anything useful. 

That being said, probably a good idea to make them match up. I'll do that and then push out 1.1.28 for testing.
Comment 20 Fedora Update System 2012-11-01 17:08:43 EDT
mock-1.1.28-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.el6
Comment 21 Fedora Update System 2012-11-01 17:10:07 EDT
mock-1.1.28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc18
Comment 22 Fedora Update System 2012-11-01 17:11:21 EDT
mock-1.0.36-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.36-1.el5
Comment 23 Fedora Update System 2012-11-01 17:12:31 EDT
mock-1.1.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc17
Comment 24 Fedora Update System 2012-11-01 17:13:40 EDT
mock-1.1.28-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc16
Comment 25 Fedora Update System 2012-11-02 14:35:50 EDT
Package mock-1.1.28-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.28-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13374/mock-1.1.28-1.el6
then log in and leave karma (feedback).
Comment 26 Fedora Update System 2012-11-14 21:31:59 EST
mock-1.1.28-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2012-11-14 21:34:32 EST
mock-1.1.28-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2012-11-20 14:36:34 EST
mock-1.0.36-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.